# $OpenBSD: Makefile.template,v 1.75 2016/03/20 17:19:49 naddy Exp $

COMMENT =	library and tools to access the OLE 2 Compound File

VERSION = 	20161113
DISTNAME =	libolecf-alpha-${VERSION}
PKGNAME =	${DISTNAME:S/-alpha//}

SHARED_LIBS +=  olecf                       0.0 # 1.0

GH_ACCOUNT =	libyal
GH_PROJECT =	libolecf
GH_TAGNAME =	${VERSION}

CATEGORIES =	devel security

HOMEPAGE =	https://github.com/libyal/libolecf/wiki

MASTER_SITES =	https://github.com/libyal/libolecf/releases/download/${VERSION}/

MAINTAINER =	Remi Pointel <rpointel@openbsd.org>

# LGPLv3+
PERMIT_PACKAGE_CDROM =	Yes

WANTLIB += bfio c fuse m pthread util ${MODPY_WANTLIB}

CONFIGURE_STYLE =	gnu
CONFIGURE_ARGS +=	--enable-python

MODULES +=	devel/gettext \
		lang/python

LIB_DEPENDS +=	devel/libbfio

.include <bsd.port.mk>
